<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

*Types*
-   [HolidayType](#holidaytype)
-   [Region](#region)
-   [Holiday](#holiday)
-   [allHolidays](#allholidays)
-   [allRegions](#allregions)
-   [TranslationTable](#translationtable)

*API*
-   [isHoliday(date, region)](#isholiday)
-   [getHolidayByDate(date, region)](#getholidaybydate)
-   [getHolidays(year, region)](#getholidays)
-   [isSunOrHoliday(date, region)](#issunorholiday)
-   [isSpecificHoliday(date, name, region)](#isspecificholiday)
-   [addTranslation(isoCode, translation)](#addtranslation)
-   [setLanguage(lng)](#setlanguage)
-   [getLanguage()](#getlanguage)



## Types

### HolidayType

Type: (`"NEUJAHRSTAG"` \| `"HEILIGEDREIKOENIGE"` \| `"KARFREITAG"` \| `"OSTERSONNTAG"` \| `"OSTERMONTAG"` \| `"TAG_DER_ARBEIT"` \| `"CHRISTIHIMMELFAHRT"` \| `"MARIAHIMMELFAHRT"` \| `"PFINGSTSONNTAG"` \| `"PFINGSTMONTAG"` \| `"FRONLEICHNAM"` \| `"DEUTSCHEEINHEIT"` \| `"REFORMATIONSTAG"` \| `"ALLERHEILIGEN"` \| `"BUBETAG"` \| `"ERSTERWEIHNACHTSFEIERTAG"` \| `"ZWEITERWEIHNACHTSFEIERTAG"`)

### Region

Type: (`"BW"` \| `"BY"` \| `"BE"` \| `"BB"` \| `"HB"` \| `"HE"` \| `"HH"` \| `"MV"` \| `"NI"` \| `"NW"` \| `"RP"` \| `"SL"` \| `"SN"` \| `"ST"` \| `"SH"` \| `"TH"` \| `"BUND"` \| `"ALL"`)

Erklärung der Kürzel: https://de.wikipedia.org/wiki/Land_(Deutschland)#Amtliche_bzw._Eigenbezeichnungen

### Holiday

Type: {name: [HolidayType](#holidaytype), date: [Date](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date), trans: function (lang: [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)?): [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String), dateString: [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String), equals: function (date: [Date](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date)): [boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)}

**Properties**

-   `name` **[HolidayType](#holidaytype)** 
-   `date` **[Date](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date)** 
-   `trans` **function (lang: [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)?): [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 
-   `dateString` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 
-   `equals` **function (date: [Date](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date)): [boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### allHolidays

Type: [Array](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array)&lt;[HolidayType](#holidaytype)>

### allRegions

Type: [Array](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array)&lt;[Region](#region)>

### TranslationTable

Map of [HolidayType](#holidaytype) to translation string.

Type: {}


## API
### addTranslation()

adds a translation for the holidays (e.g. english).
This also allows to override the German names.
Hint: Interpolates German for missing translations

**Parameters**

-   `isoCode` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** of the new language
-   `newTranslation` **[TranslationTable](#translationtable)** map of {HolidayType} to translation stringg

### setLanguage()

Set a language to default language

**Parameters**

-   `isoCode` **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

### getLanguage()

Get currently set language

Returns **[string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String)** 

### isSunOrHoliday()

Checks if a specific date is sunday or holiday.

**Parameters**

-   `date` **[Date](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date)** 
-   `region` **[Region](#region)** 

Returns **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### isHoliday()

Check is specific date is holiday.

**Parameters**

-   `date` **[Date](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date)** 
-   `region` **[Region](#region)** two character [Region](#region) code

Returns **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### getHolidayByDate()

**Parameters**

-   `date` **[Date](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date)** 
-   `region` **[Region](#region)**  (optional, default `'ALL'`)

Returns **([Holiday](#holiday) | void)** 

### isSpecificHoliday()

**Parameters**

-   `date` **[Date](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Date)** 
-   `holidayName` **[HolidayType](#holidaytype)** 
-   `region` **[Region](#region)**  (optional, default `'ALL'`)

Returns **[boolean](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Boolean)** 

### getHolidays()

Returns all holidays of a year in a [Region](#region).

**Parameters**

-   `year` **([number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number) \| [string](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String))** 
-   `region` **[Region](#region)** 

Returns **[Array](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array)&lt;[Holiday](#holiday)>** 
